Snoze Developers
API referenceAutomations

List

GET
/v1/workspaces/{workspaceId}/automations
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

workspaceId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workspaces/string/automations"
{  "data": [    {      "id": "string",      "workspaceId": "string",      "key": "string",      "label": "string",      "enabled": true,      "versionId": "string",      "version": 0,      "publishedVersionId": "string",      "draftVersionId": "string",      "hasUnpublishedChanges": true,      "trigger": "manual",      "triggerConfig": {        "kind": "manual"      },      "graph": {        "nodes": [          {            "id": "string",            "label": "string",            "retry": {              "maxAttempts": 0,              "initialDelaySeconds": 0,              "backoffMultiplier": 0,              "maxDelaySeconds": 0            },            "position": {              "x": 0,              "y": 0            },            "kind": "action",            "actionId": "string",            "input": {              "property1": {                "type": "literal",                "value": null              },              "property2": {                "type": "literal",                "value": null              }            }          }        ],        "edges": [          {            "id": "string",            "from": "string",            "to": "string",            "outcome": "always"          }        ],        "entryNodeIds": [          "string"        ],        "testPayloads": [          {            "id": "string",            "name": "string",            "payload": {}          }        ],        "failureAutomationId": "string",        "triggerPosition": {          "x": 0,          "y": 0        }      },      "webhookPath": "string",      "webhookSecret": "string",      "nextRunAt": "string",      "lastTriggeredAt": "string",      "createdAt": "string",      "updatedAt": "string"    }  ]}